Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77048 - Let /usr/share/applications be owned by *one* package
Summary: Let /usr/share/applications be owned by *one* package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 73984
TreeView+ depends on / blocked
 
Reported: 2002-10-31 12:20 UTC by Enrico Scholz
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-09 18:40:01 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2002-10-31 12:20:34 UTC
In RH 8.0, /usr/share/applications is owned by a lot of packages:

| $ rpm -qf /usr/share/applications | wc
|      21      21     384

used by very much packages:

| $ rpm -qf /usr/share/applications/* | sort -u | wc
|    167     167    3121

and accordingly to
http://www-user.tu-chemnitz.de/~ensc/rpmDirectoryCheck/results/null.html, 126
packages are using it but do not own this directory. For the implications of
this practice search for "Does not work when installed with an umask of 077 and
messes filesystem" in bugzilla.

I suggest that /usr/share/applications should be owned by exactly one basic
package (filesystem??). Then the other 167 packages will suppose this directory
implicitly by their requirements.


I am entering this report under the 'distribution'-component because I am not
sure if 'filesystem' would be the right package or if a new package like
'filesystem-redhat' should be created which contains directories not specified
by the FHS. /usr/libexec (see bug #73892 also) will be another canditate for
this new package probably.

Comment 1 Bill Nottingham 2005-03-09 18:40:01 UTC
This was fixed around 2.2.0-1.


Note You need to log in before you can comment on or make changes to this bug.